#!/bin/sh

# $1 -> user
# $2 -> in file
# $3 -> out file

if [ $# -eq 3 ]; then
    SRC=$2
    DST=$3

	#for linux define the directory with libraries
	export LD_LIBRARY_PATH=lib 2>&1

	# for windows define the directory with libraries
	export PATH=lib 2>&1
        		
	#run compiler
	bin/./isacc -i $SRC -o $DST 2>&1
	
else
	DSTPROG=`find $0 -printf %f`;
    echo "Usage: $DSTPROG <project> <input file> <output file>"
fi
